
Foreman - Refactor #37247

results.map should appear directly in HostsIndex index.js

03/12/2024 09:59 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: Web Interface   

Target version: 3.11.0   

Difficulty:  Fixed in Releases: 3.11.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/10093,

https://github.com/theforeman/foreman/p

ull/10110

  

Description

Currently <HostsIndex> renders a <TableIndexPage> which renders a {children || <Table>}  which is actually what has the

results.map and renders a <TableComposable>.

The effect of this is that you have to go on a wild goose chase through at least 4 files to see what your table rows will render. This

needs refactoring, preferably so that the results.map can appear directly in <HostsIndex>.

Associated revisions

Revision c9ce7c6e - 03/26/2024 09:14 PM - Jeremy Lenz

Fixes #37247 - refactor HostsIndex to map results directly

History

#1 - 03/13/2024 09:12 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/10093 added

#2 - 03/22/2024 08:44 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10110 added

#3 - 03/22/2024 08:45 PM - Jeremy Lenz

- Pull request deleted (https://github.com/theforeman/foreman/pull/10110)

#4 - 03/26/2024 09:14 PM - The Foreman Bot

- Fixed in Releases 3.11.0 added

#5 - 03/26/2024 09:38 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/10110 added

#6 - 03/26/2024 10:00 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c9ce7c6e41c96ec269c5a9df0833e6c41b5270af.
